ode-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sami Alsouri" <sami.also...@cased.de>
Subject RE: ODE compilation problems
Date Sat, 11 Dec 2010 10:40:38 GMT
Hi Tammo,

because Sebastian was not able to post his reply to the mailing list, I am
doing that for him here:

------------
Hi Tammo,

thank you for the quick reply, it compiled smooth with the new 1.3.5.x
version (even though some tests still fail, but works with the "test=no"
parameter).
Unfortunately, when I try to build the eclipse project files, I get an error
message like this one:

$ sudo buildr eclipse
(in /home/user/ode-1.3.5.x, development)
GPG signing org.apache.ode:ode-agents:jar:1.3.5-SNAPSHOT
gpg: skipped "": malformed user id
gpg: signing failed: malformed user id
Buildr aborted!
Errno::ENOENT : No such file or directory -
/home/user/ode-1.3.5.x/agents/target/ode-agents-1.3.5-SNAPSHOT.jar.asc

It seems like it has something to do with GPG but I can't figure it out.
Perhaps you have an idea?

Greetings, Sebastian.
------------

>-----Original Message-----
>From: Tammo van Lessen [mailto:tvanlessen@gmail.com]
>Sent: Wednesday, December 08, 2010 3:55 PM
>To: user@ode.apache.org
>Subject: Re: ODE compilation problems
>
>Hi Sebastian,
>
>ODE 1.3.4 is built with buildr 1.3.5. We're close to releasing ODE
>1.3.5, which will be a maintainance and performance fix release. It is
>very close to 1.3.4. So I'd recommend you to checkout the sources from
>there and build it with buildr 1.4.4.
>
>http://svn.apache.org/repos/asf/ode/branches/ode-1.3.5.x/
>
>Best,
>  Tammo
>
>On 08.12.2010 15:48, Sebastian Luft wrote:
>> Hi there.
>>
>> I finally got buildr working and wanted to compile ODE 1.3.4 with
>> sudo buildr package
>> but after a while, I get an exception:
>>
>> $ sudo buildr package
>> (in /home/user/Desktop/ode-1.3.4, development)
>> The javadoc method is deprecated and will be removed in a future
>release.
>> Building ode
>> Buildr aborted!
>> RuntimeError : Circular dependency detected: TOP => package => build
>=>
>> ode:build => ode:test => ode:test:compile => ode:compile =>
>> ode:axis2:compile =>
>> /home/user/Desktop/ode-1.3.4/bpel-connector/target/ode-bpel-connector-
>1.3.4.jar
>> => ode:bpel-connector:build =>
>> /home/user/Desktop/ode-1.3.4/bpel-connector/target/classes =>
>> ode:bpel-connector:compile =>
>> /home/user/Desktop/ode-1.3.4/bpel-runtime/target/ode-bpel-runtime-
>1.3.4.jar
>> => ode:bpel-runtime:build =>
>> /home/user/Desktop/ode-1.3.4/bpel-runtime/target/classes =>
>> ode:bpel-runtime:compile =>
>> /home/user/Desktop/ode-1.3.4/bpel-store/target/ode-bpel-store-
>1.3.4.jar =>
>> ode:bpel-store:build =>
>> /home/user/Desktop/ode-1.3.4/bpel-store/target/classes =>
>> ode:bpel-store:compile => ode:bpel-store:resources =>
>> /home/user/Desktop/ode-1.3.4/bpel-store/target/hbm.timestamp =>
>> /home/user/Desktop/ode-1.3.4/dao-hibernate/target/ode-dao-hibernate-
>1.3.4.jar
>> => ode:dao-hibernate:build =>
>> /home/user/Desktop/ode-1.3.4/dao-hibernate/target/classes =>
>> ode:dao-hibernate:compile => ode:dao-hibernate:resources =>
>> /home/user/Desktop/ode-1.3.4/dao-hibernate/target/hbm.timestamp =>
>> /home/user/Desktop/ode-1.3.4/dao-hibernate/target/ode-dao-hibernate-
>1.3.4.jar
>>
>> Google tells me it's a bug, but from what I understand it should be
>fixed.
>>
>> I'm using Ubuntu 10.10 fresh install, ODE 1.3.4, buildr 1.4.4, JRuby
>1.5.6,
>> RubyGems 1.3.7, OpenJDK 1.6.0_20.
>>
>> Greetings, Sebastian.
>>
>
>--
>Tammo van Lessen - http://www.taval.de


Mime
View raw message